/// <reference path="../../includes.d.ts" />
/// <reference path="kubernetesPlugin.d.ts" />
declare module Kubernetes {
    class dataInfoModelService {
        serverdata: {};
        promiseobject: {};
        localdata: {};
        selectednodes: any[];
        resumablejs: any[];
        selecteditems: any[];
        serveritems: any[];
        uploadprocess: {};
        uploadedStatus: string;
        uploadProcess: Object;
        folderList: {
            length: number;
        };
        serverItems: Array<any>;
        resumableJs: Array<any>;
        selectedItems: Array<any>;
        selectedNodes: Array<any>;
        isContainsNodes(node: Object): boolean;
        findNodes(node: any): string;
        findItemIndex(item: any): number | string;
        createFolderList(files: Object, rootPath: string): void;
        updateNodeById(nodeId: any, key: any, value: any): void;
        serverData: Object;
        promiseObject: Object;
        promise: Object;
        localData: Object;
        updataDataModel(): void;
    }
}
